ChaCha_Info Struct Reference

ChaCha stream cipher information. More...

Inheritance diagram for ChaCha_Info:

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
| The algorithm name. More...
Static Public Member Functions inherited from VariableKeyLength< 32, 16, 32, 16, SimpleKeyingInterface::UNIQUE_IV, 8 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function. More...

## Additional Inherited Members

Static Public Attributes inherited from VariableKeyLength< 32, 16, 32, 16, SimpleKeyingInterface::UNIQUE_IV, 8 >
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | KEYLENGTH_MULTIPLE
| The key length multiple used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default initialization vector length for the algorithm provided as a constant. More...

## Detailed Description

ChaCha stream cipher information.

Since
  Crypto++ 5.6.4

Definition at line 41 of file chacha.h.

## Member Function Documentation

## StaticAlgorithmName()

static const char* ChaCha_Info::StaticAlgorithmName | ( |  | ) |

inline static

The algorithm name.

Returns
  the algorithm name

StaticAlgorithmName returns the algorithm's name as a static member function.

Bernstein named the cipher variants ChaCha8, ChaCha12 and ChaCha20. More generally, Bernstein called the family ChaCha{r}. AlgorithmName() provides the exact name once rounds are set.

Definition at line 50 of file chacha.h.

The documentation for this struct was generated from the following file:

- chacha.h